FUNCTION WMAP_WEIGHTARRAYS, channel, version=version

  CASE version OF
     '7yr': BEGIN
        wh = WHERE(['K','Ka','Q','V','W'] EQ channel, nwh)
        IF nwh EQ 1 THEN datafile = GETPSMDIR('psmdata')+'ancillary/observations/WMAP/wmap_band_iqumap_r9_sevenyear_v4/wmap_band_iqumap_r9_7yr_'+channel+'_v4.fits'
        wh = WHERE(['K1','Ka1','Q1','Q2','V1','V2','W1','W2','W3','W4'] EQ channel, nwh)
        IF nwh EQ 1 THEN datafile = GETPSMDIR('psmdata')+'ancillary/observations/WMAP/wmap_da_iqumap_r9_sevenyear_v4/wmap_da_iqumap_r9_7yr_'+channel+'_v4.fits'

        ok = TEST_PSM_DATA(datafile, /get)
        IF NOT ok THEN MESSAGE, 'Input WMAP data not available'

        hits = MRDFITS(datafile,2)
        RETURN, hits
     END
  ENDCASE

END 
