FUNCTION PSM_CAT_HDR, type=type, n_objects=n_objects, help=help

  IF KEYWORD_SET(help) NE 0 THEN BEGIN
     PRINT, PSM_STRING_TO_LENGTH('-',LINE_LENGTH(),character='-')
     PRINT, 'PSM_CAT_HDR: function to generate PSM catalogue header information array'
     PSM_INFO_MESSAGE, 'SYNTAX: result = PSM_MAP_HDR()'
     PRINT, PSM_STRING_TO_LENGTH('-',LINE_LENGTH(),character='-')
     RETURN, 0
  ENDIF

  hd = [PSMHDRBLOCK_HEADLINE('map')]

  PSM_DEBUG_MESSAGE, 'Implement cat header', routine = 'PSM_CAT_HDR', infolimit=3, stoplimit=3

  RETURN, hd

END
