PRO UPDATEHDRPAR, hd, par, value, help=help

  IF KEYWORD_SET(help) NE 0 THEN BEGIN
     PRINT, 'UPDATEHDRPAR: procedure to update the value of one parameter in a fits header'
     PRINT, 'SYNTAX: UPDATEHDRPAR, hd, par, value'
     RETURN
  ENDIF

    wh = WHERE(STRTRIM(STRUPCASE(STRMID(hd,0,8)),2) EQ STRTRIM(STRUPCASE(par),2), nwh)
    IF nwh EQ 1 THEN BEGIN
       hline = [hd[wh]]
       SXADDPAR, hline, par, value
       wh2 = WHERE(STRTRIM(STRUPCASE(STRMID(hline,0,8)),2) EQ STRTRIM(STRUPCASE(par),2))
       hd[wh] = hline[wh2]
    ENDIF 
    IF PSM_CAREFULNESS() GE 1 THEN info=0 ELSE info=1
    IF nwh EQ 0 THEN MESSAGE, 'Parameter '+STRUPCASE(par)+' not found in header', info=info
    IF nwh GE 2 THEN MESSAGE, 'Parameter '+STRUPCASE(par)+' present more than once in header', info=info

END
