PRO COADD_OBSCOMP_MAP, complist, coaddedmap, hpsm, directory=directory, units=units, no_delete=no_delete

  ncomp = N_ELEMENTS(complist)
  maplist = STRARR(ncomp)

  FOR i=0, ncomp-1 DO BEGIN
     ;; find component file
     compfile = FILE_SEARCH(FIX_SEPARATOR(directory),complist[i]+'_map_'+'*.fits',count=c)
     IF c EQ 1 THEN maplist[i] = compfile
  ENDFOR

  wh = WHERE(STRLEN(maplist) NE 0, nwh)
  IF nwh NE 0 THEN BEGIN
     COADD_SKYINBAND_MAPS, maplist[wh], coaddedmap, hdr=hdr, /overwrite
     SPLIT_FITSHDR, hdr, hpsm=hpsm
     allunits = SXPAR(hdr,'TUNIT*',count=count)
     units = STRTRIM(allunits(PSM_UNIQ(allunits)),2)
     IF NOT KEYWORD_SET(no_delete) THEN FOR i=0, nwh-1 DO FILE_DELETE, maplist[wh[i]], /quiet
  ENDIF ELSE BEGIN
     ;; Do nothing
  ENDELSE


END


;; Obsolete
;;----------  
  ;; ncomp = N_ELEMENTS(complist)
  ;; added = BYTARR(ncomp)

  ;; FOR i=0, ncomp-1 DO BEGIN
  ;;    ;; find component file
  ;;    compfile = FILE_SEARCH(FIX_SEPARATOR(directory),complist[i]+'_map_'+'*.fits',count=c)
  ;;    IF c EQ 1 THEN BEGIN
  ;;       endfilename = PSM_STR_REPLACE(FILE_BASENAME(compfile),complist[i],'')  ; used later to get name of galactic file

  ;;       added[i] = 1B

  ;;       IF DEFINED(coaddedmap) THEN BEGIN
  ;;          sumpol = ISPOLARISED(coaddedmap,/map)
  ;;          READ_MAP, compfile, newmap, hdr=hh

  ;;          ;; check units consistency
           
  ;;          newunits = SXPAR(hh,'TUNIT1',count=nunit)
  ;;          IF nunit EQ 0 THEN newunits='unknown'
  ;;          IF newunits NE units THEN STOP

  ;;          compol = ISPOLARISED(newmap,/map)
  ;;          IF sumpol THEN BEGIN
  ;;             IF compol THEN coaddedmap = TEMPORARY(coaddedmap) + TEMPORARY(newmap) $
  ;;             ELSE coaddedmap[*,0] = coaddedmap[*,0] + TEMPORARY(newmap)              
  ;;          ENDIF ELSE BEGIN
  ;;             IF compol THEN BEGIN
  ;;                newmap[*,0] = newmap[*,0] + TEMPORARY(coaddedmap)
  ;;                coaddedmap = TEMPORARY(newmap)
  ;;             ENDIF ELSE coaddedmap = TEMPORARY(coaddedmap) + TEMPORARY(newmap)
  ;;          ENDELSE

  ;;       ENDIF ELSE BEGIN
  ;;          READ_MAP, compfile, coaddedmap, hdr=hdr
  ;;          units = SXPAR(hdr,'TUNIT1',count=nunit)
  ;;          IF nunit EQ 0 THEN units='unknown'
  ;;       ENDELSE

  ;;       IF NOT KEYWORD_SET(no_delete) THEN FILE_DELETE, compfile, /quiet
  ;;    ENDIF
  ;; ENDFOR

  ;; IF DEFINED(coaddedmap) THEN BEGIN
  ;;    block1 = PSM_BASE_HDR(datatype='OBS',dataform='MAP',/setval)
  ;;    UPDATE_PSMHDRBLOCK, hdr, block1
  ;;    block2 = PSM_MAP_HDR(pixtype='HEALPIX',lmax=SKY_LMAX())                    
  ;;    UPDATE_PSMHDRBLOCK, hdr, block2
  ;;    complist = complist[WHERE(added EQ 1)]
  ;;    block3 = PSM_OBS_HDR(complist)
  ;;    UPDATE_PSMHDRBLOCK, hdr, block3
  ;;    SPLIT_FITSHDR, hdr, hpsm=hpsm
  ;; ENDIF


;;END
