PRO GROUP_GAL_INBAND, banddir, no_delete=no_delete

  complist = GAL_COMP_LIST()
  added = BYTARR(N_ELEMENTS(complist))

  dirs = STR_SEP(FIX_SEPARATOR(banddir),'/')
  bandname = dirs[N_ELEMENTS(dirs)-2]

  ;; Co-adding maps
  ;;----------------
  
  COADD_OBSCOMP_MAP, complist, coaddedmap, hpsm, directory=banddir, units=units, no_delete=no_delete
  
  skypix = SKY_PIX()
  IF DEFINED(coaddedmap) THEN BEGIN
     IF ISPOLARISED(coaddedmap,/map) THEN WRITE_HPXMAP, FIX_SEPARATOR(banddir)+'galaxy_map_'+bandname+'.fits', tqustokes=coaddedmap, $
        xhdr=hpsm, units=units, coordsys=skypix.coordsys $
     ELSE WRITE_HPXMAP, FIX_SEPARATOR(banddir)+'galaxy_map_'+bandname+'.fits', tstokes=coaddedmap, xhdr=hpsm, units=units, coordsys=skypix.coordsys
  ENDIF


END
