PRO DIPOLE_ALM_HEADER, hdr, id=id

  ;; First make a base psm header
  hd = PSM_BASE_HDR(datatype='comp',dataform='alm',/setval)

  ;; Add component header
  h = PSM_COMP_HDR(compname='dipole',compid=id)
  n = N_ELEMENTS(hd) & hd = [hd[0:n-2],h,hd[n-1]]

  ;; Add alm header
  h = PSM_ALM_HDR(lmax=1)
  n = N_ELEMENTS(hd) & hd = [hd[0:n-2],h,hd[n-1]]

  ;; Add beam header
  h = PSM_BEAM_HDR(SKY_RESOLUTION())
  n = N_ELEMENTS(hd) & hd = [hd[0:n-2],h,hd[n-1]]

  hdr = hd

END
