; -----------------------------------------------------------------------------
;
; Copyright (C) 2007-2012
;   Jacques Delabrouille
;   Joaquin Gonzalez-Nuevo
;
; This file is part of the Planck Sky Model (PSM).
;
; The Planck Sky Model is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; The Planck Sky Model is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Planck Sky Model.  If not, see <http://www.gnu.org/licenses/>.
;
; For more information about the PSM see:
; http://www.apc.univ-paris7.fr/~delabrou/PSM/psm.html
; or contact Jacques Delabrouille (delabrouille@apc.univ-paris7.fr)
;
; -----------------------------------------------------------------------------
;+
;-
function rand_num_dist_file, N, hor, ver

bin=abs(hor[3]-hor[4])

;plot,hor,ver,psym=2
hor=hor(where(ver gt 0.01))
ver=ver(where(ver gt 0.01))
;oplot,hor,ver

seed=getseed()
rx=floor(n_elements(hor)*randomu(seed,N))
ry=max(ver)*randomu(getseed(),N)

r=hor[rx[where(ry le ver[rx])]]
r=r+(randomu(getseed(),n_elements(r))-0.5)*bin

return, r
end
