PRO BAND_NUMINMAX, band, numin, numax

  CASE band.shape OF
     'DIRAC': BEGIN
        numin = band.nu_c
        numax = band.nu_c
     END
     'TOPHAT': BEGIN
        numin = band.nu_min
        numax = band.nu_max
     END
     'TABLE': BEGIN
        numin = MIN(band.nu)
        numax = MAX(band.nu)
     END
     'INSTR': BEGIN
        ok = PTR_VALID(band.data)
        IF NOT ok THEN FILL_BAND_DATA, band
        numin = MIN((*band.data).nu)
        numax = MAX((*band.data).nu)
        IF NOT ok THEN PTR_FREE, band.data
     END
  ENDCASE

END
