PRO UPDATE_PSMHDRBLOCK, hdr, block

  hdrline = block[0]
  possibleblocks = VALID_PSMHDRBLOCKS()
  nel = N_ELEMENTS(possibleblocks)
  possiblehdrlines = STRARR(nel)
  FOR i=0, nel-1 DO possiblehdrlines[i] = PSMHDRBLOCK_HEADLINE(possibleblocks[i])
  whichblock = possibleblocks[WHERE(possiblehdrlines EQ hdrline)] 

  EXTRACT_PSMHDRBLOCK, hdr, blockhdr, blockname=whichblock[0], whereblock=whereblock, /silent

  ;; If an existing block has to be replaced
  IF whereblock[0] NE -1 THEN BEGIN
     keep = INTARR(N_ELEMENTS(hdr))
     keep[*] = 1
     keep[whereblock] = 0

     IF TOTAL(keep) EQ 0 THEN hdr=block ELSE BEGIN       
        IF whereblock[0] EQ 0 THEN BEGIN
           hdr=[block,hdr[WHERE(keep EQ 1)]]
        ENDIF ELSE BEGIN
           hdrnew = [hdr[0:whereblock[0]-1],block]
           keep[0:whereblock[0]-1] = 0
           wh = WHERE(keep EQ 1,nwh)
           IF nwh NE 0 THEN hdr = [hdrnew,hdr[wh]]
        ENDELSE
     ENDELSE

  ;; If there is no existing block to be replaced
  ENDIF ELSE BEGIN
     hdr = [block,hdr]
  ENDELSE
  
  ;; Reorder
  REORDER_FITSHDR, hdr
   
     
END
