FUNCTION PSM_DATATYPE, data

  ;; Output can be 'COMP' or OBS' or 'UNKNOWN'

  answer = 'UNKNOWN'

  IF ISPOINTER(data) THEN BEGIN
     
     IF ISFITSFILE(*data) THEN BEGIN
        h = HEADFITS(*data,exten=1)
        dttp = SXPAR(h,'PSM_DTTP',count=count,/silent)
        IF count EQ 1 THEN answer = STRTRIM(dttp,2)
     ENDIF
     
  ENDIF ELSE BEGIN

     IF ISFITSFILE(data) THEN BEGIN
        h = HEADFITS(data,exten=1)
        dttp = SXPAR(h,'PSM_DTTP',count=count,/silent)
        IF count EQ 1 THEN answer = STRTRIM(dttp,2)
     ENDIF
     
  ENDELSE

  IF answer EQ 'UNKNOWN' THEN PSM_INFO_MESSAGE, 'Cannot determine data type' 
  RETURN, answer

  END
