PRO PSM_PROLIST, psmprolist, otherprolist

  ;; 'test', 'psm' and 'skymodel' directories
  ;;------------------------------------------
  dirtest = GETPSMDIR('psmsoft')+'test/'
  dirsky = GETPSMDIR('psmsoft')+'skymodel/'
  dirpsm = GETPSMDIR('psmsoft')+'psm/'
 
  ;expansion = EXPAND_PATH("+"+dirtest)
  expansion = EXPAND_PATH("+"+dirtest)+EXPAND_PATH("+"+dirsky)+EXPAND_PATH("+"+dirpsm)
  list_dir = STRSPLIT(expansion,':',/extract)

  ;; remove from list the 'develop' directory
  ;;----------------------------------------------
  dirdevelop = FIX_SEPARATOR(GETPSMDIR('psmsoft'))+'develop'
  list_dir = list_dir[WHERE(list_dir NE dirdevelop)]

  FOR j=0, N_ELEMENTS(list_dir)-1 DO BEGIN
     res = FILE_SEARCH(FIX_SEPARATOR(list_dir[j])+'*.pro',count=count)
     IF count NE 0 THEN FOR i=0, count-1 DO BEGIN
        routine = FILE_BASENAME(res[i], '.pro')
        IF routine NE 'psm_prolist' THEN BEGIN
           RESOLVE_ROUTINE, FILE_BASENAME(res[i], '.pro'), /COMPILE_FULL_FILE, /EITHER
        ENDIF
     ENDFOR
  ENDFOR

  ;; Now resolve all procedures and functions
  ;;------------------------------------------
  RESOLVE_ALL

  ;; Get list of compiled programs and functions
  ;;---------------------------------------------
  prolist = [ROUTINE_INFO(),ROUTINE_INFO(/functions)]

  ;; Get the list of all PSM programs
  ;;----------------------------------
  psmlist = STRUPCASE(FILE_BASENAME(ALL_PSM_PROGRAMS(), '.pro'))
  keep = BYTARR(N_ELEMENTS(psmlist))

  ;; Check which ones are compiled
  ;;-------------------------------
  FOR i=0, N_ELEMENTS(psmlist)-1 DO BEGIN
     wh = WHERE(prolist EQ psmlist[i], nwh)
     IF nwh GE 1 THEN keep[i] = 1B
  ENDFOR

  wh = WHERE(keep, nkeep, complement=reject, ncomplement=nreject)

  IF nkeep NE 0 THEN psmprolist = psmlist[wh] ELSE psmprolist=['']
  IF nreject NE 0 THEN otherprolist = psmlist[reject] ELSE otherprolist=['']

END
