PRO SET_PSM_SEEDCHAIN, chain_name


  DEFSYSV, '!psm_seeds', exists=exists
  IF NOT exists THEN MESSAGE, 'Need to initialize the !psm_seeds system variable using PSM_SEEDINIT routine prior to any call to SET_PSM_SEEDCHAIN'

  whname = WHERE(!psm_seeds.chain_name EQ chain_name, nwhname)
  
  ;; If that chain does not exist yet, create it
  IF nwhname EQ 0 THEN BEGIN
     whnotused = WHERE(!psm_seeds.chain_used EQ 0, nwhnotused)
     IF nwhnotused EQ 0 THEN BEGIN
        MESSAGE, 'No remaining seed chain available, sorry...'
     ENDIF ELSE BEGIN
        whname = whnotused[0]
        !psm_seeds.chain_name[whname] = chain_name
        !psm_seeds.chain_used[whname] = 1
     ENDELSE
  ENDIF
  
  ;; Set the current values to those of the current chain
  !psm_seeds.current.chain = whname
  !psm_seeds.current.name = chain_name
  !psm_seeds.current.value = !psm_seeds.chain_value[!psm_seeds.current.chain]
  
END

