FUNCTION COSMO::HUBBLE, z=z

  IF NOT KEYWORD_SET(z) THEN BEGIN
     RETURN, 100*self.h
  ENDIF ELSE BEGIN
     RETURN, 100 * self.h * SQRT( $
             self.omega_de*(1.+z)^(3.*(1+self.w_de)) + $
             self.omega_k*(1.+z)^2. + $
             self.omega_m*(1.+z)^3. + $
             self.omega_rad*(1.+z)^4. $
     )
  ENDELSE

END	
