; -----------------------------------------------------------------------------
;
; Copyright (C) 2010
;   Jacques Delabrouille
;
; This file is part of the Planck Sky Model (PSM).
;
; The Planck Sky Model is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; The Planck Sky Model is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Planck Sky Model.  If not, see <http://www.gnu.org/licenses/>.
;
; For more information about the PSM see:
; http://www.apc.univ-paris7.fr/~delabrou/PSM/psm.html
; or contact Jacques Delabrouille (delabrouille@apc.univ-paris7.fr)
;
; -----------------------------------------------------------------------------
;+
; NAME:
;	MEMO
;
; PURPOSE:
;	...
;
;-
PRO MEMO, help=help, current=current

  IF KEYWORD_SET(help) NE 0 THEN BEGIN
     PRINT, PSM_STRING_TO_LENGTH('-',LINE_LENGTH(),character='-')
     PRINT, 'MEMO: procedure to print out status of memory used, in MB'
     PSM_INFO_MESSAGE, 'SYNTAX: MEMO'
     PRINT, PSM_STRING_TO_LENGTH('-',LINE_LENGTH(),character='-')
     RETURN
  ENDIF

  res = MEMORY()
  PSM_INFO_MESSAGE, 'MEMORY USED : CURRENT   = '+NUMBER2STRING(res[0]/1e6) + ' MB'
  IF NOT KEYWORD_SET(current) THEN $
  PSM_INFO_MESSAGE, '            : HIGHWATER = '+NUMBER2STRING(res[3]/1e6) + ' MB'


END

